# Nopush

This addon patches Complex Doom, LCA and RM so that hitscan and explosive weapons do not push friendly players around.

## Howto

Load the nopush patch AFTER the corresponding mod.

### Vanilla Complex Example

    complex-doom.v26a2.pk3
    complex-doom.v26a2-nopush-v1.pk3
    complex-doom-justammo.v4.wad

### LCA Example

    complex-doom.v26a2.pk3
    complex-doom.v26a2-nopush-v1.pk3
    complex-doom-justammo.v4.wad
    lca-v1.5.7.pk3
    lca-v1.5.7-nopush-v1.pk3

### LCA/RM/HAF Example

    complex-doom.v26a2.pk3
    complex-doom.v26a2-nopush-v1.pk3
    lca-v1.5.7.pk3
    lca-v1.5.7-nopush-v1.pk3
    randommons-v1.1.4.pk3
    randommons-v1.1.4-nopush-v1.pk3
    complex-lca-rm-haf-patch-v1.6.2.pk3
    complex-doom-justammo.haf.wad

## Known Issues

Railguns are still able to push players around due to how A_RailAttack works, and I don't see any good alternatives to make it work, so let's make it stay that way.

You will no longer be able to push yourself with explosive miniguns from LCA.
